#include <stdio.h>
#include <pico/stdlib.h>

#include "settings.h"

namespace
{

}

int main()
{
    stdio_init_all();

    sleep_ms(1000);

    puts("Hello, world!");

    Settings settings;
    settings.mode = Mode::IAMBIC_A;
    store_settings(settings);
    printf("Iambic mode (stored): %d\n", static_cast<int>(settings.mode));
    sleep_ms(1000);
    Settings newSettings = read_settings();
    printf("Iambic mode (loaded): %d\n", static_cast<int>(newSettings.mode));

    while(true) {
        sleep_ms(1000);
    }

    return 0;
}
